diff --git a/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v b/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v
index 53e2ea7..1a97663 100644
--- a/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v
+++ b/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v
@@ -34,11 +34,11 @@ trCRM/upgradeRes4Publish/other/uiAtlas/public/IOS/check_full.unity3d,d2a9f4ed259
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPWebView.lua,093deec807e28be04df4d593bcff9e38
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellReportform3.lua,f83300f176e1c35d62e00e69539998f3
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/position.unity3d,9bc2ac8854be9c3f6694f99d0f4bf1c1
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSelectCompany.lua,a4ebb94a988f9c6c534703f89efeb7a8
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSelectCompany.lua,28ca57d169af022ec621dece879bdcfc
 trCRM/upgradeRes4Publish/priority/lua/toolkit/CLLPrintEx.lua,86d891ec4d8bfa5533704c142fc97235
 trCRM/upgradeRes4Publish/other/uiAtlas/news/IOS/new2_bg_20.unity3d,0bea7b4023f2d6ab3e3ee160affec665
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelResetPasswordStep3.unity3d,e49412f4e3c07d8114a3c1eae5ae0e22
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustList.lua,51bec42b663bfa0aecd09184717a8e03
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustList.lua,473a578d9811d494d8cf58c7fc6a45b9
 trCRM/upgradeRes4Publish/other/uiAtlas/hotwheel/IOS/hotWheel_bg.unity3d,1842a9eb299cbf9d9e37bef4e7ced573
 trCRM/upgradeRes4Publish/priority/lua/cfg/DBCfgTool.lua,a6760e05dcc5f91202e3659179a464e7
 trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/380bg.unity3d,2d66070d4c85a3d0d9b06bb68260f2b7
@@ -69,7 +69,7 @@ trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelConfirm2.unity3d,ad24a77e6cd
 trCRM/upgradeRes4Publish/priority/lua/public/CLLIncludeBase.lua,6011b5732b185053dc107332593e5d2b
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustStar.lua,ed39330cf68d1e1e062bc8311d1e8d44
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/ToastRoot.unity3d,202053ab489839884b0569f173796cfe
-trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendFieldRoot.lua,1c1a6485c860cfe9ba1552b022347883
+trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendFieldRoot.lua,39703716cb222091e69ae0eefbf54f5f
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/IOS/me_about.unity3d,e38e9dcd1c3460227594821595e9e7e9
 trCRM/upgradeRes4Publish/other/uiAtlas/login/IOS/log_password.unity3d,1dd1c1396c668d0a4dad1228ca0ec903
 trCRM/upgradeRes4Publish/other/uiAtlas/logo/IOS/logo2.unity3d,41c5912127597703a9c1ab2848c89ff6
@@ -81,15 +81,15 @@ trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewFollow.lua,ef981e78f7833432
 trCRM/upgradeRes4Publish/priority/ui/other/IOS/AlertRoot.unity3d,eebc730459217511668036a3271830cb
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPPopList.lua,896c4b35a6cd0d4f86ed5c0ba532ea00
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellPopCheckbox.lua,25adbf58789186d43c15cfe65d2e8501
-trCRM/upgradeRes4Publish/priority/lua/toolkit/MyUtl.lua,a8351f9de5c665db23014cf331f2edb0
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustDetail.unity3d,06974302de89832f4b355f09540f8181
+trCRM/upgradeRes4Publish/priority/lua/toolkit/MyUtl.lua,6ea43afa97aadb733ab1c55cb74d0b3d
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustDetail.unity3d,855f2d538bba57e326e79fa8e84bb733
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelSetting.unity3d,85dba78e346759826ffd9185b0607b5e
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustListProc.unity3d,2a3ba4ea9a10c535f8918d67ee1d5a18
 trCRM/upgradeRes4Publish/priority/lua/toolkit/CLLUpdateUpgrader.lua,bfff3548aa7cd983c3de46e5defae423
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelSplash.unity3d,f4061c91989b8832489c51d417e0baaf
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/border.unity3d,29a0e90c8c75eaac236a3bf65ee28fd3
 trCRM/upgradeRes4Publish/other/uiAtlas/main/IOS/icon_work2.unity3d,8579e52d8aa949abce514ec4682d95e5
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewCust.lua,066c0b5bb6ccd06dad11356747664599
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewCust.lua,c93250d622a11f13fae8fecccf4f8ee3
 trCRM/upgradeRes4Publish/other/uiAtlas/news/IOS/news_3.unity3d,267178166037b19856d0a3a481ee810d
 trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/work_ranking.unity3d,d6ec636ccfbf0c4525703871069765c5
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewOrder.unity3d,153148ef6086c94aff5088a8423c39d1
@@ -129,10 +129,10 @@ trCRM/upgradeRes4Publish/other/uiAtlas/mine/IOS/myset_password2.unity3d,e87a02a0
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPBackplate.lua,ae946f1cec5baad680f4e8a0f7e71223
 trCRM/upgradeRes4Publish/priority/lua/net/NetProtoUsermgrClient.lua,f65df462666ca9fca7f16c2954984527
 trCRM/upgradeRes4Publish/priority/lua/public/CLLInclude.lua,476b749169d54c4b08e8749743983d92
-trCRM/upgradeRes4Publish/priority/lua/db/DBUser.lua,7f89ba27b59c6a86ce68c9144737f247
+trCRM/upgradeRes4Publish/priority/lua/db/DBUser.lua,f5151070816fc7da19ae939c9533bbf9
 trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/icon_bg.unity3d,8f588f9da85d79f734701f7bde8d35da
 trCRM/upgradeRes4Publish/other/uiAtlas/public/IOS/button2.unity3d,40d97a2e75c6356efc74c2615133c2a7
-trCRM/upgradeRes4Publish/priority/lua/db/DBOrder.lua,f8698b64c77257cf874459dae1999a58
+trCRM/upgradeRes4Publish/priority/lua/db/DBOrder.lua,076cfb6761ed5c0568690aa273d8ee37
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/order.unity3d,e30128770395be6e2634c10acdedb730
 trCRM/upgradeRes4Publish/priority/atlas/IOS/atlasAllReal.unity3d,6da826a9b7b5796ef22e3cc0f59c76dc
 trCRM/upgradeRes4Publish/other/uiAtlas/coolape/IOS/input.unity3d,85676a4ff405d2c3bf8bdabd99d40745
@@ -141,7 +141,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/time.unity3d,3798702a6f194c1ce9e
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellReportform2.lua,47ac1164b1ffb27397953ccb032fd2d7
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/write.unity3d,46db82a1fde728812cfa97c68aca4020
 trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/add.unity3d,76e45a9f49114ef76b198d59e3f9b124
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewOrder.lua,269b8f710565b968f8170deac352ec8e
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewOrder.lua,e86969eceefea0f285634de71eabcfe9
 trCRM/upgradeRes4Publish/priority/ui/other/IOS/Frame1.unity3d,e0760bb76b26b81b295e4a1d55cacd65
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/full_star.unity3d,1e26fbb1830f8f2b34f5cc3bd279e4ac
 trCRM/upgradeRes4Publish/priority/lua/toolkit/curve-families.png,d0b6b9b8a623a188aeae2fb688a8a0e5
@@ -155,16 +155,16 @@ trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/work_bg_shadow.unity3d,787c967d2
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPConfirm2.lua,bd0ea9f50708dedd598b517c1dfc739f
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CSPMsg.lua,f72d285313cb63ff775722473af9a5f9
 trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/work_color.unity3d,0f386613e266039c15d6dc1dfa8643bc
-trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustList.lua,86d3ed6429ba39f0a99f2307b5c43854
+trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustList.lua,121935e641c34f4e3f9293381d7ff359
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLLCellServer.lua,1e9de9f0b4bbc703296808c1ba179c29
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPlaySoundRecord.unity3d,55768dcfcc17809be4ba65884167366b
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPlaySoundRecord.unity3d,c76408e6f71107604dd36f499b9b9ec3
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelConfirm.unity3d,f640423f07bd0d7f4dbb5f0a76c5867c
 trCRM/upgradeRes4Publish/other/uiAtlas/guid/IOS/1.unity3d,7f93940e3dc101e21d69ad8a25b43e53
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLLUICalenderDay.lua,6e7400e2dd535ced93960c1e18fa2458
 trCRM/upgradeRes4Publish/other/uiAtlas/public/IOS/check.unity3d,615efa024329ca180668ab885cded3c7
 trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/work_head_bg.unity3d,4621f18a14df4d78d9f8475b6b561467
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendField.lua,1b18f9bdb869156c26bc4f1131a2dd6c
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelEditPrice.unity3d,d6360947e5185c12e3224309cf6a1754
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelEditPrice.unity3d,556928848822b2e59c2e1bd0e399281f
 trCRM/upgradeRes4Publish/other/uiAtlas/login/IOS/log_sms.unity3d,64043728c70f02d54320813cd455fd4e
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/kuang.unity3d,44f2665e82c2f22c97b1fa8065dcca85
 trCRM/upgradeRes4Publish/other/uiAtlas/public/IOS/_empty.unity3d,8e127e3490c9651f0756f621dc2fb1a6
@@ -253,9 +253,9 @@ trCRM/upgradeRes4Publish/other/uiAtlas/coolape/IOS/password.unity3d,584af77561cb
 trCRM/upgradeRes4Publish/priority/ui/other/IOS/InputText.unity3d,024746ce1b58cf7cda0d8c3152d5a1c1
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLLUICalenderMonth.lua,16af9ed096ad6b902a156f6e0a20021f
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelTasks.unity3d,f4519bf810eaaae4b4addf5092426953
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPStart.lua,2649c8d1307ea0f0a5404a8ac962f9aa
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPStart.lua,756c08832a0f69ec66e386da4fd35ca7
 trCRM/upgradeRes4Publish/other/uiAtlas/guid/IOS/2.unity3d,2953bdc65ac46367feda300cfecd11bf
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPLogin.lua,70894ccf80d88d4261b1b072f1a55f3e
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPLogin.lua,e18549cd43b8e476b5c2d1414594c592
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPResetPasswordStep2.lua,af8af3fde5f3526b36c48517a5da89d0
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/IOS/me_opinion.unity3d,a6972381cca3a2e78a7e6ffd2b6f2748
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/add.unity3d,678ae44b69930eede7020bb574f7ee11
@@ -264,16 +264,16 @@ trCRM/upgradeRes4Publish/priority/lua/net/NetProto.lua,b621e94605f1f6e106a80cfcf
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPopList.unity3d,9bd875bf8acc96aabae1fd4e4fe7601a
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellRecord.lua,ca94ed9775ca9f03569e49d4ad1f3e14
 trCRM/upgradeRes4Publish/other/uiAtlas/news/IOS/news_1.unity3d,aba0d05e735d2f90eff16694efbd299a
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,bf6d5e77f027d5b9f15d28aaae42dce4
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,3fc6451c6f494803506287fc7a51e755
 trCRM/upgradeRes4Publish/priority/lua/toolkit/BitUtl.lua,82e46240625342d5afe8ea68a609c9cb
 trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/ipt.unity3d,28f98d5b45b9bc1f5b9cfc4f1703ddfe
 trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/ipt_bg.unity3d,b1698fd4a965642b0908672fbc283a64
 trCRM/upgradeRes4Publish/priority/localization/Chinese.txt,08ac586b625d0a126a610344a1846e8f
 trCRM/upgradeRes4Publish/priority/lua/db/DBStatistics.lua,e64ad532dabb2cb70c4053e223770969
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustList.unity3d,74d2b0c504e00a25eeb16bf2f7670b11
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustList.unity3d,135dbf742c2e364d6f47424a98b1c929
 trCRM/upgradeRes4Publish/priority/lua/bio/BioInputStream.lua,b3f94b1017db307427c6e39a8ee4d60e
 trCRM/upgradeRes4Publish/priority/www/baidumap.html,d210e48796dd96343f9c17bc1d230136
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewCust.unity3d,da583f7f3ae74b735739055610dc0b98
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewCust.unity3d,6e2b73078a2cb87f19c614c4708f113b
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelSysMsgDetail.unity3d,b72c64d0d79d3f270f3df3620ef758ac
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPMoreProc4Cust.lua,cc11fe3b2530891e91e2c649762d06f8
 trCRM/upgradeRes4Publish/other/uiAtlas/guid/IOS/3.unity3d,c811075966bb6d036edcc94bb84302af
diff --git a/Assets/trCRM/Scripts/NAudio/Mp3PlayerByUrl.cs b/Assets/trCRM/Scripts/NAudio/Mp3PlayerByUrl.cs
index 6448976..e97f8e0 100644
--- a/Assets/trCRM/Scripts/NAudio/Mp3PlayerByUrl.cs
+++ b/Assets/trCRM/Scripts/NAudio/Mp3PlayerByUrl.cs
@@ -8,7 +8,7 @@ public class Mp3PlayerByUrl : MonoBehaviour
 {
     public AudioSource audioSource;
     public string mUrl;
-    public AudioType audioType = AudioType.MPEG;
+    public AudioType mDefaultAudioType = AudioType.MPEG;
     public UnityWebRequest www;
     public AudioClip myClip;
     public object finishCallback;
@@ -17,11 +17,17 @@ public class Mp3PlayerByUrl : MonoBehaviour
 
     public UnityWebRequest getAudioClip(string url, object callback)
     {
-        StartCoroutine(_getAudioClip(url, callback));
+        StartCoroutine(_getAudioClip(url, mDefaultAudioType, callback));
         return www;
     }
 
-    public IEnumerator _getAudioClip(string url, object callback)
+    public UnityWebRequest getAudioClip(string url, AudioType audioType , object callback)
+    {
+        StartCoroutine(_getAudioClip(url, audioType, callback));
+        return www;
+    }
+
+    public IEnumerator _getAudioClip(string url, AudioType audioType ,object callback)
     {
         if (string.IsNullOrEmpty(url))
         {
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBOrder.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBOrder.lua
index c06d400..1122b6b 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBOrder.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBOrder.lua
@@ -34,7 +34,7 @@ DBOrder.onGetFilter = function(data)
                     db.nextHandlerList[key].options = ArrayList()
                     db.nextHandlerList[key].values = ArrayList()
                     for l, u in ipairs(s.nextHandlerList) do
-                        db.nextHandlerList[key].options:Add(u.loginName)
+                        db.nextHandlerList[key].options:Add(joinStr(u.loginNo, "_", u.loginName))
                         db.nextHandlerList[key].values:Add(tostring(u.loginNo))
                     end
                 end
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua
index 9c94701..0395d7e 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/db/DBUser.lua
@@ -9,13 +9,12 @@ local db = {}
 local icons = {}
 local poplist = {}
 
-
 function DBUser.onGetUsers(list)
     poplist.options = ArrayList()
     poplist.values = ArrayList()
     for i, v in ipairs(list) do
         db[v.loginNo] = v
-        poplist.options:Add(v.loginName)
+        poplist.options:Add(joinStr(v.loginNo, "_", v.loginName))
         poplist.values:Add(v.loginNo)
     end
 end
@@ -26,7 +25,7 @@ end
 
 ---@return _DBUser
 function DBUser.getUserById(loginNo)
-    local user =  db[loginNo]
+    local user = db[loginNo]
     if user == nil then
         printe("get user is nil=", loginNo)
     end
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua
index 8a34305..55367f6 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/toolkit/MyUtl.lua
@@ -108,4 +108,21 @@ end
 MyUtl.confirm = function(msg, callback, buttonName)
     getPanelAsy("PanelConfirm2", onLoadedPanelTT, {msg = msg, callback = callback, buttonName = buttonName})
 end
+
+MyUtl.isHidePhone = true
+function MyUtl.setIsHidePhone(val)
+    MyUtl.isHidePhone = (val == 1 and true or false)
+end
+
+MyUtl.hidePhone = function(phone)
+    if not MyUtl.isHidePhone then
+        return phone
+    end
+    if #phone > 8 then
+        return joinStr(string.sub(phone, 1, 4), "****", string.sub(phone, 9))
+    else
+        return joinStr(string.sub(phone, 1, 4), "****")
+    end
+end
+
 return MyUtl
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellCustList.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellCustList.lua
index 3f2bb2b..87a6933 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellCustList.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellCustList.lua
@@ -28,6 +28,7 @@ end
 -- 注意，c#侧不会在调用show时，调用refresh
 function _cell.show(go, data)
     mData = data
+    mData._phoneNo = MyUtl.hidePhone(mData.phoneNo)
     mData.lastFollowUpTime = isNilOrEmpty(mData.lastFollowUpTime) and "无" or mData.lastFollowUpTime
     local optionInfor = DBCust.getFilter4Popup(DBCust.FilterGroup.dealFlagList)
     uiobjs.LabelStatus:refreshItems(optionInfor.options, optionInfor.values)
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellExtendFieldRoot.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellExtendFieldRoot.lua
index b5378df..b2a2eac 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellExtendFieldRoot.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/cell/TRCellExtendFieldRoot.lua
@@ -1,6 +1,7 @@
 ﻿---@class _ParamCellExtendFiledRoot
 ---@field data any
 ---@field fields table _ParamCellExtendFiled的list
+---@field onLoadOneField function 当加载完成一个字段时
 ---@field onFinish function 当加载完成
 
 -- xx单元
@@ -96,6 +97,7 @@ function _cell.onLoadField(name, go, orgs)
     cell:init(param, nil)
     table.insert(fieldsObjs, cell)
     uiobjs.Table:Reposition()
+    Utl.doCallback(mData.onLoadOneField, cell)
     if index == #(mData.fields) then
         _cell.onFinisInitFields()
     else
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua
index 079fe02..953dfd5 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/CLLPStart.lua
@@ -195,6 +195,7 @@ function CLLPStart.doEnterGame()
                     if isNilOrEmpty(currGroup) then
                         if #(content.result) == 1 then
                             Prefs.setCurrGroup(Prefs.getUserName(), json.encode(content.result[1]))
+                            MyUtl.setIsHidePhone(content.result[1].cover_phoneNo_flag)
                             getPanelAsy("PanelConnect", onLoadedPanel)
                         else
                             ---@type _ParamTRPSelectGroup
@@ -216,10 +217,12 @@ function CLLPStart.doEnterGame()
                             end
                         end
                         if useOldCurrGroup then
+                            MyUtl.setIsHidePhone(currGroup.cover_phoneNo_flag)
                             getPanelAsy("PanelConnect", onLoadedPanel)
                         else
                             if #(content.result) == 1 then
                                 Prefs.setCurrGroup(Prefs.getUserName(), json.encode(content.result[1]))
+                                MyUtl.setIsHidePhone(content.result[1].cover_phoneNo_flag)
                                 getPanelAsy("PanelConnect", onLoadedPanel)
                             else
                                 ---@type _ParamTRPSelectGroup
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustDetail.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustDetail.lua
index b7f4c88..454affc 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustDetail.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustDetail.lua
@@ -50,6 +50,7 @@ end
 ---@param paras _ParamTRPCustDetail
 function TRPCustDetail:setData(paras)
     self.mdata = paras
+    self.mdata._phoneNo = MyUtl.hidePhone(self.mdata.phoneNo)
     if type(self.mdata.jsonStr) == "string" then
         self.mdata.jsonStr = json.decode(self.mdata.jsonStr)
     end
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustList.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustList.lua
index dfd1da6..071c018 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustList.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPCustList.lua
@@ -128,6 +128,7 @@ end
 
 -- 关闭页面
 function TRPCustList:hide()
+    self.filterValue = nil
 end
 
 -- 网络请求的回调；cmd：指命，succ：成功失败，msg：消息；paras：服务器下行数据
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPLogin.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPLogin.lua
index 7d743cd..c960bcf 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPLogin.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPLogin.lua
@@ -97,6 +97,7 @@ function TRPLogin:setEventDelegate()
                 formData,
                 function(content, orgs)
                     if content.success then
+                        MyUtl.setIsHidePhone(content.result.cover_phoneNo_flag)
                         Prefs.setUserName(formData.phone)
                         Prefs.setUserPsd(formData.password)
 
@@ -104,6 +105,7 @@ function TRPLogin:setEventDelegate()
                         if isNilOrEmpty(currGroup) then
                             if #(content.result) == 1 then
                                 Prefs.setCurrGroup(Prefs.getUserName(), json.encode(content.result[1]))
+                                MyUtl.setIsHidePhone(content.result[1].cover_phoneNo_flag)
                                 getPanelAsy("PanelConnect", onLoadedPanel)
                             else
                                 ---@type _ParamTRPSelectGroup
@@ -113,6 +115,7 @@ function TRPLogin:setEventDelegate()
                                 getPanelAsy("PanelSelectCompany", onLoadedPanel, d)
                             end
                         else
+                            MyUtl.setIsHidePhone(currGroup.cover_phoneNo_flag)
                             getPanelAsy("PanelConnect", onLoadedPanel)
                         end
                     end
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewCust.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewCust.lua
index 4cf3770..6c7414c 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewCust.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewCust.lua
@@ -41,6 +41,7 @@ function TRPNewCust:setData(paras)
     if paras and paras.custId > 0 then
         self.isNewCust = false
         self.mdata = paras
+        self.mdata._phoneNo = MyUtl.hidePhone(self.mdata.phoneNo)
     else
         self.isNewCust = true
         self.mdata = {}
@@ -386,6 +387,7 @@ function TRPNewCust:setEventDelegate()
             end
 
             local cust = uiobjs.DetailRoot:getValue(true)
+            cust.phoneNo = cust._phoneNo
             cust.customerLabel = self.mdata.customerLabel
             local jsonStr = uiobjs.ExtendFormRoot:getValue(true)
             cust.jsonStr = jsonStr
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewOrder.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewOrder.lua
index 4aa7287..bab8172 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewOrder.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPNewOrder.lua
@@ -73,7 +73,7 @@ function TRPNewOrder:initFiledsAttr()
 
     attr = {}
     attr.attrName = "客户号码"
-    attr.id = "phoneNo"
+    attr.id = "_phoneNo"
     attr.attrType = DBCust.FieldType.text
     attr.ifMust = 1
     attr.donotJoinKey = true
@@ -129,6 +129,7 @@ function TRPNewOrder:setData(paras)
     if paras and paras.orderId and paras.orderId > 0 then
         self.isNewOrder = false
         self.mdata = paras
+        self.mdata._phoneNo = MyUtl.hidePhone(self.mdata.phoneNo)
 
         if type(self.mdata.attrJson) == "string" then
             self.mdata.attrJson = json.decode(self.mdata.attrJson)
@@ -324,15 +325,19 @@ function TRPNewOrder:setElementMode(el)
     local boxcollider = el:GetComponent("BoxCollider")
     local ButtonReset = getCC(el.transform, "ButtonReset", "MyInputReset")
 
+    if ButtonReset then
+        ButtonReset.disabled = (not self.isNewOrder)
+    end
+
     if el.jsonKey == "taskId" or el.jsonKey == "phoneNo" then
         boxcollider.enabled = false
+        if ButtonReset then
+            ButtonReset.disabled = true
+        end
     else
         boxcollider.enabled = true
     end
 
-    if ButtonReset then
-        ButtonReset.disabled = (not self.isNewOrder)
-    end
     if input then
         if isPopList or isPopCheckbox then
             input.enabled = false
@@ -509,9 +514,14 @@ function TRPNewOrder:setEventDelegate()
                 return
             end
             local order = uiobjs.DetailFromRoot:getValue(true)
+            if self.cust then
+                order.phoneNo = self.cust.phoneNo
+            end
             order.custId = self.cust.custId
-            local attrJson = uiobjs.ExtendFormRoot:getValue(true)
-            order.attrJson = attrJson
+            if uiobjs.ExtendFormRoot.gameObject.activeInHierarchy then
+                local attrJson = uiobjs.ExtendFormRoot:getValue(true)
+                order.attrJson = attrJson
+            end
             if uiobjs.StepFormRoot.gameObject.activeInHierarchy then
                 order = uiobjs.StepFormRoot:getValue(order, true)
             end
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSelectCompany.lua b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSelectCompany.lua
index 92e9764..6b95b5b 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSelectCompany.lua
+++ b/Assets/trCRM/upgradeRes4Dev/priority/lua/ui/panel/TRPSelectCompany.lua
@@ -97,6 +97,7 @@ function TRPSelectCompany:setEventDelegate()
             end
             -- 缓存一下，下次进来后就不用再先公司了
             Prefs.setCurrGroup(Prefs.getUserName(), json.encode(selectedCompany))
+            MyUtl.setIsHidePhone(selectedCompany.cover_phoneNo_flag)
             getPanelAsy("PanelConnect", onLoadedPanel)
         end
     }
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustDetail.prefab b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustDetail.prefab
index 0ad113e..0989ff4 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustDetail.prefab
+++ b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustDetail.prefab
@@ -1681,7 +1681,7 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: faeca5bfa217c493c8446b842f01a3fa, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
-  jsonKey: phoneNo
+  jsonKey: _phoneNo
   formatValue: 
   labeName: {fileID: 1280138961897951088}
   defaultName: 
@@ -8600,7 +8600,7 @@ MonoBehaviour:
   anchorOffset: 0
   softBorderPadding: 1
   renderQueue: 0
-  startingRenderQueue: 3000
+  startingRenderQueue: 3004
   mClipTexture: {fileID: 0}
   mAlpha: 1
   mClipping: 0
@@ -11892,7 +11892,7 @@ MonoBehaviour:
   anchorOffset: 0
   softBorderPadding: 1
   renderQueue: 0
-  startingRenderQueue: 3010
+  startingRenderQueue: 3014
   mClipTexture: {fileID: 0}
   mAlpha: 1
   mClipping: 3
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustList.prefab b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustList.prefab
index 68ad9c4..c5f005a 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustList.prefab
+++ b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelCustList.prefab
@@ -3310,7 +3310,7 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: faeca5bfa217c493c8446b842f01a3fa, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
-  jsonKey: phoneNo
+  jsonKey: _phoneNo
   formatValue: 
   labeName: {fileID: 0}
   defaultName: 
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelEditPrice.prefab b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelEditPrice.prefab
index c3abbf5..9e664cb 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelEditPrice.prefab
+++ b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelEditPrice.prefab
@@ -194,7 +194,7 @@ MonoBehaviour:
   mWidth: 575
   mHeight: 120
   mDepth: 6
-  autoResizeBoxCollider: 0
+  autoResizeBoxCollider: 1
   hideIfOffScreen: 0
   keepAspectRatio: 0
   aspectRatio: 4.7916665
@@ -1143,7 +1143,7 @@ MonoBehaviour:
   mWidth: 575
   mHeight: 120
   mDepth: 6
-  autoResizeBoxCollider: 0
+  autoResizeBoxCollider: 1
   hideIfOffScreen: 0
   keepAspectRatio: 0
   aspectRatio: 7.0416665
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelNewCust.prefab b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelNewCust.prefab
index 3a22245..9bef24d 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelNewCust.prefab
+++ b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelNewCust.prefab
@@ -5823,7 +5823,7 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: faeca5bfa217c493c8446b842f01a3fa, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
-  jsonKey: phoneNo
+  jsonKey: _phoneNo
   formatValue: 
   labeName: {fileID: 5391889881658380677}
   defaultName: 
diff --git a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelPlaySoundRecord.prefab b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelPlaySoundRecord.prefab
index 55b477a..3040726 100644
--- a/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelPlaySoundRecord.prefab
+++ b/Assets/trCRM/upgradeRes4Dev/priority/ui/panel/PanelPlaySoundRecord.prefab
@@ -687,7 +687,7 @@ MonoBehaviour:
   m_EditorClassIdentifier: 
   audioSource: {fileID: 0}
   mUrl: 
-  audioType: 13
+  mDefaultAudioType: 20
   myClip: {fileID: 0}
   isPlaying: 0
 --- !u!1 &2195943103738195833
diff --git a/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver b/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver
index ea3ba0c..d5e3793 100644
--- a/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver
+++ b/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver
@@ -1 +1 @@
-r8	$trCRM/resVer/IOS/VerCtl/priority.ver8,bd0a8bcf2c5c1832e5a7ef8919a776df8	!trCRM/resVer/IOS/VerCtl/other.ver8,4cf823f164fa658848773193581dd443
\ No newline at end of file
+r8	$trCRM/resVer/IOS/VerCtl/priority.ver8,943b82f9102e704dcc9636d263e125a88	!trCRM/resVer/IOS/VerCtl/other.ver8,4cf823f164fa658848773193581dd443
\ No newline at end of file
